API Guide Home (Online version only) |

# _pluginGetInfoParams Struct Reference

## Detailed Description

Structure used for launch code MMPRO_PLUGIN_GET_INFO_LAUNCHCODE.

Definition at line 63 of file PalmVMPlugin.h.

## Data Fields

- PluginInfo getInfo
- UInt32 version
- Boolean supportsSending
- Boolean supportsReceiving
- char ** listSendNames
- UInt16 numSendTypes
- Int16 numReceiveTypes
- char ** listSendFileExt
- char ** listReceiveFileExt
- UInt32 * listMaxSizeExt
- char ** listSendMIMEtypes
- char ** listReceiveMIMEtypes
- UInt32 * listMaxSizeMime
- UInt32 ret
- Char Unused [50]

## Field Documentation

PluginInfo getInfo

[in] what plugin information needed.

Definition at line 65 of file PalmVMPlugin.h.

UInt32 version

[out] plugin version.

Definition at line 67 of file PalmVMPlugin.h.

Boolean supportsSending

[out] can provide data to be passed as an email attachment.

Definition at line 68 of file PalmVMPlugin.h.

Boolean supportsReceiving

[out] can view files passed to it.

Definition at line 69 of file PalmVMPlugin.h.

char** listSendNames

[out] list of names of the types. (suitable for listing in popup)

Definition at line 71 of file PalmVMPlugin.h.

UInt16 numSendTypes

[out] the number of types it can send (each one should appear in popup)

Definition at line 73 of file PalmVMPlugin.h.

Int16 numReceiveTypes

[out] the number of types it can receive

Definition at line 74 of file PalmVMPlugin.h.

char** listSendFileExt

[out] list of supported file extensions to Send.

Definition at line 76 of file PalmVMPlugin.h.

char** listReceiveFileExt

[out] list of supported file extensions it can read.

Definition at line 77 of file PalmVMPlugin.h.

UInt32* listMaxSizeExt

lout] list of max file size supported for each file ext.

Definition at line 78 of file PalmVMPlugin.h.

char** listSendMIMEtypes

[out] list of supported MIME types to Send.

Definition at line 80 of file PalmVMPlugin.h.

char** listReceiveMIMEtypes

[out] list of supported MIME types it can read.

Definition at line 81 of file PalmVMPlugin.h.

UInt32* listMaxSizeMime

lout] list of max file size supported for each MIME type.

Definition at line 82 of file PalmVMPlugin.h.

UInt32 ret

[out] return code for error handling and special cases;

Definition at line 83 of file PalmVMPlugin.h.

Char Unused[50]

unused space for future releases

Definition at line 84 of file PalmVMPlugin.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:10 2008 for Palm API Guide